summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--office/pstotext/README5
-rw-r--r--office/pstotext/pstotext.SlackBuild63
-rw-r--r--office/pstotext/pstotext.info8
-rw-r--r--office/pstotext/slack-desc12
4 files changed, 88 insertions, 0 deletions
diff --git a/office/pstotext/README b/office/pstotext/README
new file mode 100644
index 0000000000..cc54661c2f
--- /dev/null
+++ b/office/pstotext/README
@@ -0,0 +1,5 @@
+Pstotext is a utility to extract plain text from PostScript(tm) files.
+It also works (though, less reliable) for PDFs.
+It was originally created by employees of what was known as DEC (now HP),
+and released to the public in 1995.
+Recoll, a desktop search engine, uses this to add PostScript files.
diff --git a/office/pstotext/pstotext.SlackBuild b/office/pstotext/pstotext.SlackBuild
new file mode 100644
index 0000000000..d7cb8c4d91
--- /dev/null
+++ b/office/pstotext/pstotext.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Build Script for pstotext (tested with
+# version(s): 1.9) pstotext can be obtained at
+# http://www.cs.wisc.edu/~ghost/doc/pstotext.htm
+
+# Written by Ismael Cortes (leamsi.setroc@gmail.com)
+# I, as writer and author, give this script and its
+# intellectual property to the public domain.
+
+# Modified by Robby Workman - http://rlworkman.net
+
+PRGNAM=pstotext
+VERSION=1.9
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+DOCFILES="pstotext.hlp pstotext.txt"
+
+# Cleanup and get ready.
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT || exit 1
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+make CC="gcc $SLKCFLAGS" || exit 1
+
+mkdir -p $PKG/usr/bin
+mv pstotext $PKG/usr/bin/
+chmod 755 $PKG/usr/bin/pstotext
+
+strip --strip-unneeded $PKG/usr/bin/pstotext
+
+# Install and gzip man page.
+mkdir -p $PKG/usr/man/man1
+gzip -9c pstotext.1 > $PKG/usr/man/man1/pstotext.1.gz || exit 1
+chmod 644 $PKG/usr/man/man1/pstotext.1.gz
+
+# Install DOCFILES
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+chown -R root:root $PKG
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/pstotext/pstotext.info b/office/pstotext/pstotext.info
new file mode 100644
index 0000000000..534c5b113d
--- /dev/null
+++ b/office/pstotext/pstotext.info
@@ -0,0 +1,8 @@
+PRGNAM="pstotext"
+VERSION="1.9"
+HOMEPAGE="http://www.cs.wisc.edu/~ghost/doc/pstotext.htm"
+DOWNLOAD="ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/contrib/pstotext-1.9.tar.gz"
+MD5SUM="64576e8a10ff5514e285d98b3898ae78"
+MAINTAINER="Ismael Cortés"
+EMAIL="leamsi.setroc@gmail.com"
+APPROVED="rworkman"
diff --git a/office/pstotext/slack-desc b/office/pstotext/slack-desc
new file mode 100644
index 0000000000..03b5175f9a
--- /dev/null
+++ b/office/pstotext/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler----------------------------------------------------|
+pstotext: pstotext (PostScript to text filter)
+pstotext:
+pstotext: Pstotext was released as freeware in source-code form by (then)
+pstotext: DEC workers Paul McJones and Andrew Birrell around 1995. It's been
+pstotext: maintained by a group called ghostgum software since the original
+pstotext: developers stopped working there.
+pstotext:
+pstotext: Recoll uses this to parse PostScript files.
+pstotext:
+pstotext:
+pstotext: